package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.paper.library.business.bean.result.PictureManageDetailResult;
import com.qmth.paper.library.common.bean.params.DownloadPictureParams;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Description 图片管理服务类
 */
public interface PictureManageService {

    IPage<PictureManageDetailResult> pageData(List<Long> semesterIds, List<Long> examIds, List<String> courseCodes, List<String> collegeNames,
            List<String> majorNames, List<String> classNames, String teacher, String teachClass, String param, Double minScore, Double maxScore,
            String pictureSymbol, Integer pictureCount, Integer pageNumber, Integer pageSize);

    boolean savePicture(MultipartFile file, String fileMd5, String fileUrl, Long paperLibraryId);

    List<PictureManageDetailResult> listPictureResult(DownloadPictureParams params);
}
